Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractInplaceInput

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      org.richfaces.component.AbstractInplaceInput

All Implemented Interfaces:
  EventListener, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.richfaces.component.InplaceComponent

Direct Known Subclasses:
  UIInplaceInput

    public abstract class AbstractInplaceInput

extends javax.faces.component.UIInput
implements org.richfaces.component.InplaceComponent

Author:
  Anton Belevich

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`AbstractInplaceInput()`

Method Summary
`abstract String` | `getActiveClass()`
`abstract String` | `getChangedClass()`
`abstract String` | `getDefaultLabel()`
`abstract String` | `getDisabledClass()`
`abstract String` | `getEditEvent()`
`abstract String` | `getInputWidth()`
`abstract String` | `getOnblur()`
`abstract String` | `getOnchange()`
`abstract String` | `getOnclick()`
`abstract String` | `getOndblclick()`
`abstract String` | `getOnfocus()`
`abstract String` | `getOninputclick()`
`abstract String` | `getOninputdblclick()`
`abstract String` | `getOninputkeydown()`
`abstract String` | `getOninputkeypress()`
`abstract String` | `getOninputkeyup()`
`abstract String` | `getOninputmousedown()`
`abstract String` | `getOninputmousemove()`
`abstract String` | `getOninputmouseout()`
`abstract String` | `getOninputmouseover()`
`abstract String` | `getOninputmouseup()`
`abstract String` | `getOninputselect()`
`abstract String` | `getOnkeydown()`
`abstract String` | `getOnkeypress()`
`abstract String` | `getOnkeyup()`
`abstract String` | `getOnmousedown()`
`abstract String` | `getOnmousemove()`
`abstract String` | `getOnmouseout()`
`abstract String` | `getOnmouseover()`
`abstract String` | `getOnmouseup()`
`abstract org.richfaces.component.InplaceState` | `getState()`
`abstract int` | `getTabindex()`
`abstract boolean` | `isDisabled()`
`abstract boolean` | `isSaveOnBlur()`
`abstract boolean` | `isShowControls()`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, clearInitialState, compareValues, decode, getConvertedValue, getConverterMessage, getFamily, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate, validateValue`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AbstractInplaceInput

    public AbstractInplaceInput()

Method Detail

### isDisabled

    public abstract boolean isDisabled()

  Specified by:
    `isDisabled` in interface `org.richfaces.component.InplaceComponent`

### getDefaultLabel

    public abstract String getDefaultLabel()

  Specified by:
    `getDefaultLabel` in interface `org.richfaces.component.InplaceComponent`

### isSaveOnBlur

    public abstract boolean isSaveOnBlur()

  Specified by:
    `isSaveOnBlur` in interface `org.richfaces.component.InplaceComponent`

### getState

    public abstract org.richfaces.component.InplaceState getState()

  Specified by:
    `getState` in interface `org.richfaces.component.InplaceComponent`

### getEditEvent

    public abstract String getEditEvent()

  Specified by:
    `getEditEvent` in interface `org.richfaces.component.InplaceComponent`

### isShowControls

    public abstract boolean isShowControls()

  Specified by:
    `isShowControls` in interface `org.richfaces.component.InplaceComponent`

### getInputWidth

    public abstract String getInputWidth()

### getTabindex

    public abstract int getTabindex()

  Specified by:
    `getTabindex` in interface `org.richfaces.component.InplaceComponent`

### getActiveClass

    public abstract String getActiveClass()

  Specified by:
    `getActiveClass` in interface `org.richfaces.component.InplaceComponent`

### getChangedClass

    public abstract String getChangedClass()

  Specified by:
    `getChangedClass` in interface `org.richfaces.component.InplaceComponent`

### getDisabledClass

    public abstract String getDisabledClass()

  Specified by:
    `getDisabledClass` in interface `org.richfaces.component.InplaceComponent`

### getOnclick

    public abstract String getOnclick()

### getOndblclick

    public abstract String getOndblclick()

### getOnkeydown

    public abstract String getOnkeydown()

### getOnkeypress

    public abstract String getOnkeypress()

### getOnkeyup

    public abstract String getOnkeyup()

### getOnmousedown

    public abstract String getOnmousedown()

### getOnmousemove

    public abstract String getOnmousemove()

### getOnmouseout

    public abstract String getOnmouseout()

### getOnmouseover

    public abstract String getOnmouseover()

### getOnmouseup

    public abstract String getOnmouseup()

### getOninputclick

    public abstract String getOninputclick()

### getOninputdblclick

    public abstract String getOninputdblclick()

### getOninputmousedown

    public abstract String getOninputmousedown()

### getOninputmousemove

    public abstract String getOninputmousemove()

### getOninputmouseout

    public abstract String getOninputmouseout()

### getOninputmouseover

    public abstract String getOninputmouseover()

### getOninputmouseup

    public abstract String getOninputmouseup()

### getOninputkeydown

    public abstract String getOninputkeydown()

### getOninputkeypress

    public abstract String getOninputkeypress()

### getOninputkeyup

    public abstract String getOninputkeyup()

### getOninputselect

    public abstract String getOninputselect()

### getOnchange

    public abstract String getOnchange()

### getOnfocus

    public abstract String getOnfocus()

### getOnblur

    public abstract String getOnblur()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.